petsc-3.7.1 2016-05-15
Report Typos and Errors

# ISConcatenate

Forms a new IS by locally concatenating the indices from an IS list without reordering.

### Synopsis

    #include "petscis.h"
    PetscErrorCode ISConcatenate(MPI_Comm comm, PetscInt len, const IS islist[], IS *isout)

Collective on comm. Many br

### Input Parameter

| comm | - communicator of the concatenated IS. Many br
| len | - size of islist array (nonnegative) Many br
| islist | - array of index sets Many br

### Output Parameters

isout -The concatenated index set; empty, if len == 0. Many br

Notes: The semantics of calling this on comm imply that the comms of the members if islist also contain this rank. Many br

Many br

### See Also

ISDifference(), ISSum(), ISExpand()

Level:intermediate
Location:src/vec/is/is/utils/isdiff.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages